aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMartin Klozik <martin.klozik@tieto.com>2019-09-04 10:24:25 +0200
committerMartin Klozik <martin.klozik@tieto.com>2019-09-10 11:39:28 +0200
commitf5ae348b6e7d5c5d4612ff6dc7a33bbeddfb4362 (patch)
tree9aa485d1773911830803cfda67d9556139479884 /scripts
parent9d5fb225cbc57680ca80b54e5f2501f55b4acb46 (diff)
POLICY: update of apache-maven repo URL
Allow automatic selection of the best apache mirror server to avoid hardcoded mirror server in apache-maven download url. This change should increase reliability of POLICY CSIT test plans in case that some mirror servers are experiencing issues. Originally used server is set as preferred, i.e. it still will be used if it's available. In case of failure of maven installation, test plan execution will be terminated with failure. Change-Id: Ia765652b42e6a20716f5e76304916602852b5654 Issue-ID: POLICY-2046 Signed-off-by: Martin Klozik <martin.klozik@tieto.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/policy/drools-pdp-script.sh8
-rwxr-xr-xscripts/policy/engine.sh8
2 files changed, 12 insertions, 4 deletions
diff --git a/scripts/policy/drools-pdp-script.sh b/scripts/policy/drools-pdp-script.sh
index fc8556ff..6e14931f 100755
--- a/scripts/policy/drools-pdp-script.sh
+++ b/scripts/policy/drools-pdp-script.sh
@@ -37,8 +37,12 @@ fi
# bring down maven
mkdir maven
cd maven
-curl -O http://apache.claz.org/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
-tar -xzvf apache-maven-3.3.9-bin.tar.gz
+# download maven from automatically selected mirror server
+curl -vLO "https://www.apache.org/dyn/mirrors/mirrors.cgi?cca2=us&preferred=http://apache.claz.org/&action=download&filename=maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz"
+if ! tar -xzvf apache-maven-3.3.9-bin.tar.gz ; then
+ echo "Installation of maven has failed!"
+ exit 1
+fi
ls -l
export PATH=${PATH}:${WORK_DIR}/maven/apache-maven-3.3.9/bin
${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn -v
diff --git a/scripts/policy/engine.sh b/scripts/policy/engine.sh
index ef02be5a..3e9f3d42 100755
--- a/scripts/policy/engine.sh
+++ b/scripts/policy/engine.sh
@@ -37,8 +37,12 @@ fi
# bring down maven
mkdir maven
cd maven
-curl -O http://apache.claz.org/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
-tar -xzvf apache-maven-3.3.9-bin.tar.gz
+# download maven from automatically selected mirror server
+curl -vLO "https://www.apache.org/dyn/mirrors/mirrors.cgi?cca2=us&preferred=http://apache.claz.org/&action=download&filename=maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz"
+if ! tar -xzvf apache-maven-3.3.9-bin.tar.gz ; then
+ echo "Installation of maven has failed!"
+ exit 1
+fi
ls -l
export PATH=${PATH}:${WORK_DIR}/maven/apache-maven-3.3.9/bin
${WORK_DIR}/maven/apache-maven-3.3.9/bin/mvn -v